<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_c0f286e93ebdcaa427b44ec294133" . "92b" => base64_decode("ZmVlZF" . "9rZXk="), "_4cabd5d7713c30b34f152bc" . "a7e16cd6c" => base64_decode("bmV3c1" . "9mZWVk" . "cw=="), "_022eeb17ad2461a772886fe" . "0f5575520" => base64_decode("Y3JlYXRv" . "cg=="), "_aa7e860da1a" . "cd4e767e0df9" . "d7d407380" => base64_decode("ZGF0Z" . "V9jcm" . "VhdGV" . "k"), "_49c48a113fcc4b94b82e29c" . "74e01e7bd" => base64_decode("ZmVlZF9rZXkgZXE6c3R" . "yOmtleQ=="), "i" . "d" => base64_decode("a" . "W" . "Q" . "="), "ch" . "an" . "ne" . "ls" => base64_decode("Y2hh" . "bm5l" . "bHM="), "titl" . "e" => base64_decode("dGl0" . "bGU="));
use Claromentis\Core\DAL;




class NewsFeed extends ActiveRecord
{
    
    
    
    
    
    
    public static function LoadByKey($key)
    {
        $_25b9db1c0742750fdff46948cbf57c67 = new NewsFeed();
        $_c0a4245f295a91f607925636fb789046 = ObjectsStorage::I()->GetMultiple(new NewsFeed(), new DAL\QueryPart($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_49c48a113fcc4b94b82e29c7" . "4e01e7bd"], $key), 1);
        return empty($_c0a4245f295a91f607925636fb789046[0]) ? null : $_c0a4245f295a91f607925636fb789046[0];
    }
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_4cabd5d7713c30b34f152bca7" . "e16cd6c"], $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["i" . "d"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["i" . "d"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["ti" . "tl" . "e"], ObjectsStorage::T_STRING, 255);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["cha" . "nne" . "ls"], ObjectsStorage::T_STRING);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_c0f286e93ebdcaa427b44e" . "c29413392b"], ObjectsStorage::T_STRING, 20);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_aa7e860" . "da1acd4e" . "767e0df9" . "d7d40738" . "0"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_022eeb17ad2461a7728" . "86fe0f5575520"], ObjectsStorage::T_INT);
    }
    public function __set($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value)
    {
        return $this->SetProperty($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value);
    }
}